# WWL-tabel
# Wageningen Environmental Research
# waterwijzerlandbouw@wur.nl
#------------------------------------------------

# set start of program
TIMPRGSTART <- Sys.time()

# ---- arguments ----

# set modus
test <- FALSE

# load arguments
if (!test) {
  command_args <- commandArgs(trailingOnly = TRUE)
  if (length(command_args) != 1) {
    stop("wrong usage of script, arguments should be:\n- controlfile")
  }
} else {
  command_args <- NULL
  command_args[1] <- "control.inp"
  setwd("d:/WWL_tabel")
}

# set arguments
ctrl <- command_args[1]

# ---- load libraries ----

source("Tools/R/Libraries.R")

message("\nProgram R-PROG started...\n")

# ---- main-process ----

# run WWL-tabel
wwl_tabel(file = ctrl)

# ---- return of procedure ----

TIMPRGEND <- Sys.time()
TIMPRGCALC <- as.numeric(difftime(time1 = TIMPRGEND, time2 = TIMPRGSTART, units = "secs"))
message(paste0("\nProgram R-PROG successfully ended in ", floor(TIMPRGCALC / 60), " minutes and ", ceiling(TIMPRGCALC %% 60), " seconds"))
q(save = "no")
